# CHANGELOG

## 1.0
Elkészült az első Vagrantfile, benne a kötelező 3 sorral, egy CentOS 7 OS-t indítva.
Kommentek nélkül így néz ki:
```json
Vagrant.configure("2") do |config|
  config.vm.box = "centos/7"
end
```
Erről írtam egy cikket [itt](https://msandor.hu/vagrant-teszt-kornyezet-villamgyorsan/).

## 2.0
Több lépésben jutottunk el a 2.0-s Vagrantfile-hoz, bővült az erőforrás (cpu, mem), kapott dedikált hálókártyát, és telepítéskor lefuttat pár parancsot is.
Kommentek nélkül így néz ki:
```json
Vagrant.configure("2") do |config|
  config.vm.box = "centos/7"
  config.vm.network "private_network", ip: "192.168.56.2"
  config.vm.provider "virtualbox" do |vb|
    vb.memory = "1024"
    vb.cpus = 2
  end
  config.vm.provision "shell", inline: <<-SHELL
    yum install mc epel-release httpd net-tools -y
    yum update -y --skip-broken
    systemctl enable --now httpd
  SHELL
end
```
Erről is írtam egy cikket [itt](https://msandor.hu/lepjunk-szintet-a-vagranttal/).
